org.eclipse.wst.jsdt.ui.project

## Class JsNature

- java.lang.Object
- - org.eclipse.wst.jsdt.ui.project.JsNature

    public class JsNature
    extends java.lang.Object

Provisional API: This class/interface of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`JsNature()`
`JsNature(IProject project, IProgressMonitor monitor)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `addJsNature(IProject project, IProgressMonitor monitor)`
`void` `configure()`
`void` `deconfigure()`
`org.eclipse.wst.jsdt.internal.core.JavaProject` `getJavaProject()`
`IProject` `getProject()`
`static boolean` `hasNature(IProject project)`
`static void` `removeJsNature(IProject project, IProgressMonitor monitor)`
`void` `setProject(IProject project)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsNature

    public JsNature()

#### JsNature

    public JsNature(IProject project,
                    IProgressMonitor monitor)

### Method Detail

#### addJsNature

    public static void addJsNature(IProject project,
                                   IProgressMonitor monitor)
                            throws CoreException

Throws:
  `CoreException`

#### hasNature

    public static boolean hasNature(IProject project)

#### removeJsNature

    public static void removeJsNature(IProject project,
                                      IProgressMonitor monitor)
                               throws CoreException

Throws:
  `CoreException`

#### configure

    public void configure()
                   throws CoreException

Throws:
  `CoreException`

#### deconfigure

    public void deconfigure()
                     throws CoreException

Throws:
  `CoreException`

#### getJavaProject

    public org.eclipse.wst.jsdt.internal.core.JavaProject getJavaProject()

#### getProject

    public IProject getProject()

#### setProject

    public void setProject(IProject project)